<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classenvironment_1_1_environment.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">environment.Environment Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a465c49743db4e55fbb2d9e4519303830">__init__</a>(self, tuple sim_time_offset, str database, float sampling_rate, outputs)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a704d747552b25f3c1ab37f632f2abc88">calc_atmospheric_density</a>(self, sim_time)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a94a3fa67ed30ecdffaa61b4f6f1bdfbd">calc_mag_field</a>(self, sim_time, bool commit=True)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a96bfd402aea6a500cd15e166df8441cc">calc_solar_pressure</a>(self, sim_time)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#aecf0876ef8dcfec96a410e8519f3cfde">database</a></td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#aa284ae2701b560f1f90d455aab3899c5">dict_env</a></td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a36712ec52f082b49ab801bcce1ebaf3d">earth_disk_ellipsoid</a>(self, sim_time, commit=True)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a229bd64ddf7f24d007be9858db8167ec">earth_to_sun</a>(self, sim_time, commit=True)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#ad6e8d0b03e127c5b8bd93b6a0b90d3b7">is_in_shadow</a>(self, sim_time, commit=True)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a12ccd53aa51c211ea6516f1d8cf92911">propagate_environment</a>(self)</td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#a338bc0c0906ddd666c782f6b3c4f9f23">sampling_rate</a></td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classenvironment_1_1_environment.html#aa9229d416dcd19021e4a23471b7c8e45">sim_time_offset</a></td><td class="entry"><a class="el" href="classenvironment_1_1_environment.html">environment.Environment</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
